The Hiking App Professional runs on following Garmin wearables

  • D2 Bravo, D2 Bravo Titanium
  • ForeAthlete® 230J, 235J, 630J, 735XTJ and 920XTJ
  • Forerunner® 230, 235, 630, 735XT, 920XT and 935
  • Epix
  • Fēnix® 3, Fēnix® 3 HR, Fēnix® Chronos
  • Fēnix® 5, Fēnix® 5SFēnix® 5X, Fēnix® 5 Quatix
  • Vivoactive™, Vivoactive™ HR

Requirements (mandatory):

  • Please install the latest firmware on your wearable. Here the information about the minimum required Connect IQ version depending on your wearable type:
    >= 1.2.1: Epix
    >= 1.3.0: Vivoactive® , Forerunner® 230, 235, 630 and 920XT, ForeAthlete® 230J, 235J, 630J and 920XTJ, 
    >= 1.4.1: Fēnix® 3, Fēnix® 3 HR, D2 Bravo, D2 Bravo Titanium
    >= 2.1.1:
     Forerunner® 735XT and ForeAthlete® 735J, Vivoactive® HR
    >= 2.2.0:  Fēnix® Chronos, Fēnix® 5Fēnix® 5SFēnix® 5X , Fēnix® 5 Quatix, Forerunner® 935
  • Please install the latest Garmin Connect App if you use the mobile phone for installation and configuration
  • Please install the latest Garmin Express Version if you use the PC/MAC for installation and configuration

Requirements (optional):

  • Please enable GPS for speed, distance, location and altitude information
  • Please enable ANT+ sensors for heart rate, foot pod and temperature information